function MyRoadMap($name, $finalmenu, $X, $Y){

		 // If an empty string is received for the menu, 
		 // then exit out of the function.
		 
		 // Note that $name comes from MenuStr in the HTM. 
		 //If you have more than one MenuStr in the HTM (ie More than one roadmap per topic)
		 //You will need to define MenuStr as a diff variable for each additional instance
		 
if ($name == "" || $name == null){
	alert("Cannot display the menu selections. Either PC-DMIS isn't running or the string wasn't properly passed from PC-DMIS.  Menu roadmaps do not function on a 64-bit operating system.");
	return;
}
		// Otherwise continue displaying the roadmap in the popup window   
		// Define the popup window for the roadmap
		// Get mouse location 
		

$winlength = $name.length * 4;
$winheight = $name.length * 6;

if ($winlength || $winheight < 100) {
$winlength = 250;
$winheight = 350;

}

// Create the popup window at that location
myPopupWin = window.open("","RoadMap","Width=0, Height=0, Resizable=yes");
myPopupWin.document.open();
$Y = $Y - ($winheight/2);

$screenH = screen.height;
$screenW = screen.width;

// Make sure popup window dimensions don't exceed screen dimension
if ($Y > ($screenH - $winheight)) {
	$Y = ($screenH - $winlength);
}
if ($X > ($screenW - $winlength)) {
	$X = ($screenW - $winlength);
}

if ($Y < 0 ) {
	$Y = 0;
}
if ($X < 0 ) {
	$X = 0;
}

myPopupWin.moveTo($X,$Y);
myPopupWin.document.focus();

// Adjust popup window size based on size of string
myPopupWin.resizeTo($winlength,$winheight);

// If $finalmenu parameter is yes, then the final menu inside submenus is displayed 
// inside the roadmap. The default is 'yes'.	

if ($finalmenu == "yes"){
  $length = $name.length;
  arrayOfPath=$name.split("|");

  myPopupWin.document.write("<Html><Head><LINK REL=\"stylesheet\" TYPE=\"text/css\" HREF=\"wai.css\"></Head>");
  myPopupWin.document.write("<table width=\"0%\" border=\"1\" align=\"right\" cellpadding=\"5\" cellspacing=\"3\" name=\"Roadmap\" bgcolor=\"blue\">");
  myPopupWin.document.write("<tr bgcolor=white>");
  myPopupWin.document.write("<tr><td><font size=3 color=white>Menu Selection:</font></td></tr>");
  myPopupWin.document.write("<td>");
  for (var i=0; i < arrayOfPath.length; i++) {
    if (i < arrayOfPath.length - 1) {
      myPopupWin.document.write("<font color=white size=2><LI>" + "  " + arrayOfPath[i] + "</FONT><hr color = brown>");
    }
    else {
      myPopupWin.document.write ("<font color=#FFFFFF size=2><LI><b>" + arrayOfPath[i] + "</FONT>");
    }
  } // END FOR LOOP
  myPopupWin.document.write("</LI></UL>");
  myPopupWin.document.write("</td>");
  myPopupWin.document.write("</tr>");
  myPopupWin.document.write("</table>");
	
}

// If $finalmenu parameter is no, then the final menu inside submenus is not displayed 
// inside the roadmap.	
if ($finalmenu == "no") {
  $length = $name.length;
  arrayOfPath=$name.split("|");
  myPopupWin.document.write("<Html><Head><LINK REL=\"stylesheet\" TYPE=\"text/css\" HREF=\"wai.css\"></Head>");
  myPopupWin.document.write("<table width=\"0%\" border=\"1\" align=\"right\" cellpadding=\"5\" cellspacing=\"3\" name=\"Roadmap\" bgcolor=\"blue\">");
  myPopupWin.document.write("<tr bgcolor=#FFFFFF>");
  myPopupWin.document.write("<tr><td><font size=3 color=white>Menu Selection:</font></td></tr>");
  myPopupWin.document.write("<td>");
  arrayOfPath.length = arrayOfPath.length - 1; // This removes the last menu item
  for (var i=0; i < arrayOfPath.length; i++) {
    if (i < arrayOfPath.length-1) {
      myPopupWin.document.write("<font color=white size=2><LI>" + "  " + arrayOfPath[i] + "</FONT><hr color = brown>");
    }
    else {
      myPopupWin.document.write ("<font color=#FFFFFF size = 2><LI><b>" + arrayOfPath[i] + "</FONT>");
    }
  } // END FOR LOOP
  myPopupWin.document.write("</LI></UL>");
  myPopupWin.document.write("</td>");
  myPopupWin.document.write("</tr>");
  myPopupWin.document.write("</table>");
} // END IF
} // END FUNCTION